Bug 133239

Summary: system-config-security level firstboot module tracebacks in reconfig mode
Product: Red Hat Enterprise Linux 4 Reporter: Adrian Likins <alikins>
Component: system-config-securitylevelAssignee: Chris Lumens <clumens>
Status: CLOSED CURRENTRELEASE QA Contact: Max Spevack <mspevack>
Severity: medium Docs Contact:
Priority: medium    
Version: 4.0   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: rhel-4-u1 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2006-01-27 12:44:46 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 130887, 133212    

Description Adrian Likins 2004-09-22 14:21:25 EDT
Description of problem:
running firstboot in "reconfig" mode causes the
system-config-security level module to traceback

Traceback (most recent call last):
  File "/usr/share/firstboot/firstbootWindow.py", line 477, in loadModules
    vbox, pix, title = module.launch(self.doDebug)
  File "/usr/share/firstboot/modules/securitylevel.py", line 358, in
launch
    self.readFile()
  File "/usr/share/firstboot/modules/securitylevel.py", line 325, in
readFile
    iter = self.trustedList.store.get_iter_first()
AttributeError: 'CheckList' object has no attribute 'store'




Version-Release number of selected component (if applicable):
system-config-securitylevel-1.4.1-2


run `/usr/sbin/firstboot --reconfig --forcegui --reconfig`
to reproduce
Comment 1 Paul Nasrat 2004-09-28 03:27:18 EDT
Tested using:

rhpl-0.146-1
system-config-securitylevel-1.4.5-1
firstboot-1.3.26-1

/usr/sbin/firstboot --reconfig --forcegui --debug

Securitylevel module came up fine.  Can you confirm that those
versions work for you?
Comment 2 Paul Nasrat 2004-09-29 08:15:47 EDT
Make public for bugweek testing
Comment 3 Paul Nasrat 2004-09-29 08:34:16 EDT
Colin Charles also confirmed  no traceback firstboot 1.3.26-1 and
s-c-securitylevel 1.4.5-1

Are you still seeing this?
Comment 4 Tim Waugh 2004-10-10 06:59:09 EDT
securitylevel firstboot page works for me (it didn't a few days ago).

firstboot-1.3.28-2
system-config-securitylevel-1.4.8-1
Comment 5 Max Spevack 2004-10-14 15:08:13 EDT
Fixed.  Marking as QA_READY.